Runtime

## org.eclipse.gmf.runtime.diagram.ui.commands
Class CreateOrSelectElementCommand.LabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.LabelProvider
              org.eclipse.gmf.runtime.diagram.ui.internal.commands.ElementTypeLabelProvider
                  org.eclipse.gmf.runtime.diagram.ui.commands.CreateOrSelectElementCommand.LabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, ILabelProvider

Enclosing class:
  CreateOrSelectElementCommand

public static class CreateOrSelectElementCommand.LabelProvider
extends org.eclipse.gmf.runtime.diagram.ui.internal.commands.ElementTypeLabelProvider

The default label provider for the the menu items used in this command. Adds the "Create new " text to the objects of type `IElementType`.

Constructor Summary
`CreateOrSelectElementCommand.LabelProvider()`

Method Summary
`java.lang.String` `getText(java.lang.Object object)` Uses `IElementType.getDisplayName()` for the text.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.internal.commands.ElementTypeLabelProvider
`getImage`

Methods inherited from class org.eclipse.jface.viewers.LabelProvider
`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateOrSelectElementCommand.LabelProvider

    public CreateOrSelectElementCommand.LabelProvider()

Method Detail

### getText

    public java.lang.String getText(java.lang.Object object)

  Description copied from class: `org.eclipse.gmf.runtime.diagram.ui.internal.commands.ElementTypeLabelProvider`
  Uses `IElementType.getDisplayName()` for the text.

  See Also:
    `ILabelProvider.getText(java.lang.Object)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.